﻿@model HOD.Models.AgentSetupModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Agent Portal";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";

    const string TIER_SESSIONKEY = "TIER";
    const string TIERS_FREE = "FREE";
    bool isFreeTier = false;   
    
    if (!WebSecurity.Initialized){
        Response.Redirect("/Account/Login");
        Response.End();
    }

    using (HOD.Data.Entities.HODContext hodContext = new HOD.Data.Entities.HODContext()){

       var userProfile =  hodContext.UserProfiles.Where(x => x.UserId == WebSecurity.CurrentUserId).FirstOrDefault();
       try { 
            if (userProfile.Tier.ToUpper() == "FREE"){
            isFreeTier = true;
        } 
       }
        catch(NullReferenceException nfe) {
            isFreeTier = false;   
        }               
    }
        
}

<style>
    table td, table td * {
        vertical-align: top;
    }
</style>
    

<script>
    var $body2 = $('body');
    $body2.css('background-image', 'none');

    $(document).ready(function () {
        var $body = $('body');

        $body.css('backgroundImage', 'url("@TempData["AgentBackground"].ToString()")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@TempData["AgentImage"].ToString()');

        $('#btnActivate').click(function () {
            window.location.href = '@Url.Action("Billing","Billing")';
        });
    });
</script>


<style>
    a.newListing { color: #333333 }
    a.newListing:active { color: #666666 }
    a.newListing:link { color: #999999 }
    a.newListing:visited { color: #ffffff }

    textarea {
        background-color: lightyellow;
        width:100%
    }
</style>

<div class="details_holder">
    <!--div class="panel panel-default" style="border:none">
        <div class="panel-heading" align="left">Agent Page Setup</div>
        <div class="panel-body" style="background-color: #ffffff;"-->
               <div class="alert alert-success">
               <p style="font-size:medium;">
                    Hi <b>@TempData["AgentName"].ToString()</b>, at your Agent Control Center you easily have the ability to create new Property Listings, 
                       edit &amp; categorize your Property Listings and edit and manage your Agent Website.
                </p>
               </div>
             @*Html.ActionLink("Add New Listing", "RegCustomer", "Agent", null, new { @class = "btn btn-primary newListing", @color= "#00000", @visited="#00000",  })*@
        <!--/div>
     </div-->
    <!-- Nav tabs -->
    <!--ul class="nav nav-tabs" role="tablist">
      <li class="active"><a href="#home" role="tab" data-toggle="tab">MY PAGES</a></li>
      <li><a href="#profile" role="tab" data-toggle="tab">LIST NOW</a></li>
      <li><a href="#myListings" role="tab" data-toggle="tab"><b>My Listings</b></a></li>
      <!--li><a href="#settings" role="tab" data-toggle="tab">Settings</a></li>
    </ul-->
    <!--div class="tab-content">
      <div class="tab-pane active" id="home">
          <p>
          &nbsp;
          </p-->

 
    <div class="panel panel-default" style="border:none">
                    <div class="panel-heading">Agent Control </div>
                    <div class="panel-body" style="background-color: #ffffff;">

                        <table class="table table-bordered">
                            <!--th colspan="3">Listing Management</!--th-->
                            <tr>
                                <td style="text-align:center"><a href="/Agent/RegCustomer" class="list-group-item btn-default"><b>Create a New Property Listing</b></a></td>
                                <td style="text-align:center"><a href="/Agent/CategorizeListing"  class="list-group-item btn-default"><b>Edit/Manage Categorize My Property Listings</b></a></td>
                                <td style="text-align:center"><a href="/Agent/Pages"  class="list-group-item btn-default"><b>Edit/Manage My Agent Portal Website</b></a></td>
                            </tr>
                            @if (isFreeTier){
                                @:
                                <tr><td></td>
                                    <td style="text-align:center;">
                                        <!--a href="/Billing/Billing" class="list-group-item btn-default"><b>Activate Account</b></!--a-->
                                        <button type="button" id="btnActivate" data-loading-text="Loading..." class="btn btn-danger btn-lg" autocomplete="off">
                                              Activate Account
                                        </button>
                                    </td>
                                    <td></td>
                                </tr>
                            }
                        </table>

                        <!--div class="list-group" style="width:50%" >
                          <a href="#" class="list-group-item active">
                            <h4 class="list-group-item-heading">Listing Management</h4>
                            <p class="list-group-item-text"> New listings, categorize listings and manage listings</p>
                          </a>
                          <a href="/Agent/RegCustomer" class="list-group-item">Create new listing</a>
                          <a href="/Agent/CategorizeListing" class="list-group-item">Categorize listings</a>
                          <a href="/Agent/Pages" class="list-group-item">Update Content</a>
                        </!--div-->
                </div>
        </div>
</div>
